Subject: TeXhax Digest V96 #5

From: Majordomo list server <[email-masked]>
Date: Mon, 15 Apr 1996 11:52:28 +0100

TeXhax Digest              Monday, 15 April 1996       Volume 96 : Number 005

(incorporating UKTeX Digest)

Today's Topics:

    Re: fractions, space, \afterpage (TeXhax)
    Re: startsection (TeXhax Digest V96 #4)
    Plain TeX query
    disc set and printer driver for LaTex 2e

----------------------------------------------------------------------

From: Donald Arseneau <[email-masked]>
Date: Thu, 07 Mar 1996 20:47:44 PST
Subject: Re: fractions, space, \afterpage (TeXhax)

In TeXhax Digest V96 #3, Kris Lockyear <[email-masked]> wrote:
 
%  2) How can I get ... 1/2 with small 1, a diagonal line and a small 2.

It is in The TeXbook, exercise 11.6. You probably have manmac.tex and/or 
eplain.tex on your system somewhere; you can copy the definition out of 
there to avoid re-typing it.
 
%  3) LaTeX increased white space between paragraphs to place a \section at 
the 
%  top of a page. This looks very ugly.

Declare \raggedbottom (described in the LaTeX manual)
 
%  4) I often use \afterpage{\clearpage} to flush out the figures etc.  
%  this occasionally results in a blank page with a footnote at the bottom. 

a) In my opinion, this is never necessary.  It only helps when figures are
*stuck* with impossible placement requirements.  You are better off giving
realistic placement options for your figures and setting higher values for
\topfraction and \bottomfraction (say 0.8) and a lower \textfraction (0.2).
Re-read the LaTeX manual discussion of these.

b) Don't write long footnotes.

c) You can avoid most split footnotes using:
\raggedbottom \addtolength{\topskip}{0pt plus 1cm minus 0.2pt}
(No, the top won't be ragged; just the bottom.)

Donald Arseneau                         [email-masked]

------------------------------

From: Robin Fairbairns <[email-masked]>
Date: Tue, 12 Mar 1996 09:33:00 +0000
Subject: Re: startsection (TeXhax Digest V96 #4)

Mr Marcilo Alves writes:
>I'm trying to redefine the \section, \chapter look by
>using the \@startsection command (Companion, page 24).

Having not read the Companion, page 16 (I think it is), where it tells
you to:

 \makeatletter
>\renewcommand{\section}{\@startsection
>        {\section}% 
>        {1}%
>        {2mm}%
>        {2mm}%
>        {2mm}
>        {\itshape}}%
 \makeatother

This is one of the most-FAQs.  The Companion is _not_ a beginner's
book; if you've never programmed LaTeX macros before *PLEASE*
(everyone, not just Mr. Alves!) read the introductory pages first
(there are only twenty or so of them).

------------------------------

From: [email-masked] (Colin Mason)
Date: Thu, 28 Mar 1996 18:47:11 GMT
Subject: Plain TeX query

% Could someone please answer a question which has been puzzling me for some
% while because, unless I misunderstand the TeXbook, TeX is not doing what I
% think it should do. Consider the following input file:
%-------------------------------------------------------------------------------
\chardef\return=`\^^M
%
\def\dopling{%
  \ifcat\space\noexpand\next
    \wlog{<Pling><Space>}%
  \else \ifcat\return\noexpand\next
    \wlog{<Pling><Return>}%
  \else \ifcat\bgroup\noexpand\next
    \wlog{<Pling><Left brace>}%
  \else
    \wlog{<Pling><Other>}%
  \fi \fi \fi}%
%
\catcode`\!=\active
%
\def!{\futurelet\next\dopling}%
%
! Hallo world.
!
!{Anyone for Tennis?}%
!%
! Just another line%
!---and another part of the same line
!
! \bye
%-------------------------------------------------------------------------------
% Not a very sensible input file I know but it's just meant to illustrate the
% problem. When run through TeX, I get the following log file (without the
% leading `% ' of course):
%-------------------------------------------------------------------------------
% This is TeX, C Version 3.14t3 (format=plain 93.5.19)  28 MAR 1996 18:31
% **test
% (test.tex
% <Pling><Space>
% <Pling><Space>
% <Pling><Left brace>
% <Pling><Return>
% <Pling><Space>
% <Pling><Other>
% <Pling><Space>
% <Pling><Space>
%  [1] )
% Output written on test.dvi (1 page, 308 bytes).
%-------------------------------------------------------------------------------
% I understand all of these except the <Pling><Return> generated by the input
% line `!%'. Why should a comment character generate a <Return>?
%
% Thanks in anticipation.
%
% Colin Mason ([email-masked])

------------------------------

From: Andrew Jones $STAFF <[email-masked]>
Date: Mon, 25 Mar 1996 09:12:44 +0000
Subject: disc set and printer driver for LaTex 2e

Please can anyone help me?? 

I have used Latex in the past, but unfortunately had to remove it. I 
now possess a Canon BJ10ex printer, and I cannot get the exact driver for it. 
I've been given several to try, but to no avail. 
I also understand that I no longer have the latest version of LaTex ( I 
bought mine in 1990). How is LaTex 2e different?

Could anyone please advise me on where I may get a proper printer 
driver for the BJ10ex, and possibly a disc set for LaTex 2e.

I use Wordperfect 6.0 for word-processing. I recall reading somewhere 
that there is a LaTex converter for WP6.

My own machine is not on the Internet, and therefore I cannot 
download, I would therefore need proper discs. Any help would be 
greatly appreciated.

------------------------------

End of TeXhax Digest V96 #5
***************************

About TeXhax...

Please send contributions to: [email-masked]

Subscription and unsubscription requests:
    send a one line mail message to [email-masked]
    containing either               subscribe texhax
    or                              unsubscribe texhax
If you have problems with un/subscribing, please mail [email-masked]

To obtain the Frequently Asked Questions (FAQ) lists for TeX, send a
message with no subject to [email-masked], consisting of
SENDME FAQ

For information on the TeX Users Group, please send a message to
[email-masked], or write TeX Users Group, 1850 Union Street, #1637
San Francisco CA 94123  (phone: 1 415 982 8449, fax:   1 415 982 8559)

Backnumbers of all the digests are stored in the Comprehensive TeX
Archive Network (CTAN) and can be retrieved on the Internet by
anonymous ftp.  The hosts comprising CTAN include, among others,
    ftp.dante.de (129.69.1.12)   -- Germany
    ftp.shsu.edu (192.92.115.10) -- USA
    ftp.tex.ac.uk (128.232.1.87) -- UK
Please use your nearest server, to keep network load down.
The file /tex-archive/CTAN.sites on each of these hosts gives a
list of other sites which maintain full or partial mirrors of the CTAN.
Alternatively, finger [email-masked] for full details.

TeXhax Digest back issues are filed below /tex-archive/digests/texhax/
Keyword-In-Context indexes are filed in /tex-archive/digests/indexes/

A Hypermail version of TeXhax is also available on the World-Wide Web at URL
http://www.tex.ac.uk/tex-archive/digests/hyper/

\bye